Skip to main content
GET
/
v1
/
deployments
List deployments
curl --request GET \
  --url https://api.agentmark.co/v1/deployments \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": [
    {
      "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "branch": "<string>",
      "cache_decision_detail": "<string>",
      "cache_decision_kind": "<string>",
      "cache_hit": true,
      "code_failure_reason": "<string>",
      "code_status": "pending",
      "commit_message": "<string>",
      "commit_sha": "<string>",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "deployment_duration_ms": 123,
      "deployment_status": "running",
      "deployment_type": "manual",
      "failure_reason": "<string>",
      "files_status": "pending",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "initiated_by": "<string>"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 1000
offset
integer | null
default:0
Required range: x >= 0
status
enum<string>
Available options:
running,
success,
failure

Response

Paginated list of deployments.

data
object[]
required
pagination
object
required